Ticket #43542

requirement "Good" is true when trade route is inactive

Open Date: 2022-01-05 10:47 Last Update: 2022-01-19 12:41

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

3.0.0-beta2
when game.ruleset has
[trade]
settings =

{ "type", "pct", "cancelling", "bonus"

...

"Enemy", 0, "Inactive", "None"
"EnemyIC", 0, "Inactive", "None"
}

and effect.ruleset has an effect with
reqs =

{ "type", "name", "range"
"Good", "xxx", "City"

...

}

The effect still happens when at war with nation whose city has the traderoute with that "Good".

Ticket History (3/5 Histories)

2022-01-05 10:47 Updated by: ddeanbrown
  • New Ticket "requirement "Good" is true when trade route is inactive" created
2022-01-05 11:03 Updated by: cazfi
  • Milestone Update from (None) to 3.0.0 (closed)
  • Component Update from (None) to General
2022-01-07 23:39 Updated by: cazfi
  • Resolution Update from None to Accepted
2022-01-19 12:41 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login